Bug 220138 - 3rd and 4th SATA drives on Intel DQ963FX MB not detected
3rd and 4th SATA drives on Intel DQ963FX MB not detected
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks: FCMETA_SATA 427887
  Show dependency treegraph
 
Reported: 2006-12-18 22:38 EST by Michael J. Carter
Modified: 2013-07-02 22:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-17 00:50:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael J. Carter 2006-12-18 22:38:32 EST
Description of problem:

3rd and 4th SATA drives on Intel DQ963FX MB are not detected by installer.

Version-Release number of selected component (if applicable):


How reproducible:

Every time.

Steps to Reproduce:
1. Attempt install w/ 3 or 4 SATA drives on Intel DQ963FX-based system.
  
Actual results:

Only first two SATA drives (on ports 0 and 1) are detected.

Expected results:

All drives should be detected.

Additional info:

I've seen mention that this issue is addressed in kernel-2.6.19
(http://www.linuxquestions.org/questions/showthread.php?t=508913)

This is also an issue on RHEL5b2.
Comment 1 Michael J. Carter 2006-12-28 12:25:23 EST
I installed FC6 on a 5th drive (this one an older PATA drive) and then upgraded
to the latest kernel in the 'development' repo:

kernel-2.6.19-1.2891.fc7

All 4 SATA drives are now detected:

[root@localhost ~]# cat /proc/scsi/scsi
Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: TSSTcorp Model: CD/DVDW TS-H552B Rev: TS04
  Type:   CD-ROM                           ANSI SCSI revision: 05
Host: scsi0 Channel: 00 Id: 01 Lun: 00
  Vendor: ATA      Model: ST3200822A       Rev: 3.01
  Type:   Direct-Access                    ANSI SCSI revision: 05
Host: scsi1 Channel: 00 Id: 00 Lun: 00
  Vendor: ATA      Model: ST3500630AS      Rev: 3.AA
  Type:   Direct-Access                    ANSI SCSI revision: 05
Host: scsi2 Channel: 00 Id: 00 Lun: 00
  Vendor: ATA      Model: ST3500630AS      Rev: 3.AA
  Type:   Direct-Access                    ANSI SCSI revision: 05
Host: scsi5 Channel: 00 Id: 00 Lun: 00
  Vendor: ATA      Model: ST3500630AS      Rev: 3.AA
  Type:   Direct-Access                    ANSI SCSI revision: 05
Host: scsi6 Channel: 00 Id: 00 Lun: 00
  Vendor: ATA      Model: ST3500630AS      Rev: 3.AA
  Type:   Direct-Access                    ANSI SCSI revision: 05

Now waiting for kernel-xen-2.6.19 appear...

mjc
Comment 2 Michael J. Carter 2007-01-26 11:51:27 EST
I tried some of the newer kernels last night. Results:

kernel-2.6.19-1.2895.fc6          NO WORKIE
kernel-xen-2.6.19-1.2895.fc6      NO WORKIE
kernel-xen-2.6.19-1.2898.2.3.fc7  NO WORKIE

kernel-2.6.19-1.2913.fc7          WORKS

Summary: The only kernel that sees all 4 SATA drives is the latest non-xen
development kernel.
Comment 3 Michael J. Carter 2007-02-27 22:26:16 EST
kernel-xen-2.6.19-1.2911.fc6 DOES NOT see 3rd and 4th SATA drives on Intel
DQ963FX MB
Comment 4 Michael J. Carter 2007-03-07 17:43:15 EST
kernel-xen-2.6.19-1.2911.6.5.fc6 DOES NOT see 3rd and 4th SATA drives on Intel
DQ963FX MB

Comment 5 Daniel Rowe 2007-03-11 04:33:32 EDT
I also have this problem on a P965 intel board.

The 3rd and 4th SATA ports have drives connected but the kernel thinks the link
is down.

ata3: SATA link down (SStatus 0 SControl 0)
ata4: SATA link down (SStatus 0 SControl 0)

[root@server ~]# lspci
00:00.0 Host bridge: Intel Corporation Unknown device 29a0 (rev 02)
00:02.0 VGA compatible controller: Intel Corporation Unknown device 29a2 (rev 02)
00:03.0 Communication controller: Intel Corporation Unknown device 29a4 (rev 02)
00:19.0 Ethernet controller: Intel Corporation Unknown device 104b (rev 02)
00:1a.0 USB Controller: Intel Corporation Unknown device 2834 (rev 02)
00:1a.1 USB Controller: Intel Corporation Unknown device 2835 (rev 02)
00:1a.7 USB Controller: Intel Corporation Unknown device 283a (rev 02)
00:1b.0 Audio device: Intel Corporation Unknown device 284b (rev 02)
00:1c.0 PCI bridge: Intel Corporation Unknown device 283f (rev 02)
00:1c.1 PCI bridge: Intel Corporation Unknown device 2841 (rev 02)
00:1c.2 PCI bridge: Intel Corporation Unknown device 2843 (rev 02)
00:1c.3 PCI bridge: Intel Corporation Unknown device 2845 (rev 02)
00:1c.4 PCI bridge: Intel Corporation Unknown device 2847 (rev 02)
00:1d.0 USB Controller: Intel Corporation Unknown device 2830 (rev 02)
00:1d.1 USB Controller: Intel Corporation Unknown device 2831 (rev 02)
00:1d.2 USB Controller: Intel Corporation Unknown device 2832 (rev 02)
00:1d.7 USB Controller: Intel Corporation Unknown device 2836 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev f2)
00:1f.0 ISA bridge: Intel Corporation Unknown device 2810 (rev 02)
00:1f.2 SATA controller: Intel Corporation Unknown device 2824 (rev 02)
00:1f.3 SMBus: Intel Corporation Unknown device 283e (rev 02)
02:00.0 IDE interface: Marvell Technology Group Ltd. Unknown device 6101 (rev b1)
06:01.0 Ethernet controller: Intel Corporation 82557/8/9 [Ethernet Pro 100] (rev 0c)
06:03.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A IEEE-1394a-2000
Controller (PHY/Link)
libata version 2.00 loaded.
ata1: SATA max UDMA/133 cmd 0xF8806100 ctl 0x0 bmdma 0x0 irq 218
ata2: SATA max UDMA/133 cmd 0xF8806180 ctl 0x0 bmdma 0x0 irq 218
ata3: SATA max UDMA/133 cmd 0xF8806200 ctl 0x0 bmdma 0x0 irq 218
ata4: SATA max UDMA/133 cmd 0xF8806280 ctl 0x0 bmdma 0x0 irq 218
ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
ata1.00: ATA-7, max UDMA/133, 156250000 sectors: LBA48 NCQ (depth 31/32)
ata1.00: ata1: dev 0 multi count 0
ata1.00: configured for UDMA/133
ata2: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
ata2.00: ATA-7, max UDMA/133, 312581808 sectors: LBA48 
ata2.00: ata2: dev 0 multi count 0
ata2.00: configured for UDMA/133
ata3: SATA link down (SStatus 0 SControl 0)
ata4: SATA link down (SStatus 0 SControl 0)

Comment 6 Stanislav Polasek 2007-07-02 13:28:29 EDT
I have the same problem with Intel DG965RY mobo and RHEL5 (kernel
2.6.18-8.1.6.el5xen). Seems to be related to the problem described in this
kernel thread: http://lkml.org/lkml/2006/9/14/218.

Comment 7 Jon Stanley 2008-01-07 20:49:47 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 8 Michael J. Carter 2008-01-16 12:49:14 EST
I'm running el5 (2.6.18-53.1.4.el5.centos) on this machine now and it it's
working fine. 
Comment 9 Jon Stanley 2008-01-17 00:50:14 EST
I'll close this as INSUFFICIENT_DATA in that case, since we don't know if it was
resolved in a later Fedora release (though it's a safe bet since it's fixed in RHEL)

Note You need to log in before you can comment on or make changes to this bug.